KDE 4.7 PyKDE API Reference

- KDE's Python API

# OpenUrlArguments Class Reference

`from PyKDE4.kparts import *`

Namespace: KParts

## Detailed Description

OpenUrlArguments is the set of arguments that specify how a URL should be opened by KParts.ReadOnlyPart.openUrl().

For instance reload() indicates that the url should be loaded from the network even if it matches the current url of the part.

All setter methods in this class are for the class that calls openUrl (usually the hosting application), all the getter methods are for the part.

## Methods
| __init__ (self)
| __init__ (self, KParts.OpenUrlArguments other)
bool | actionRequestedByUser (self)
{QString:QString} | metaData (self)
QString | mimeType (self)
bool | reload (self)
| setActionRequestedByUser (self, bool userRequested)
| setMimeType (self, QString mime)
| setReload (self, bool b)
| setXOffset (self, int x)
| setYOffset (self, int y)
int | xOffset (self)
int | yOffset (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KParts.OpenUrlArguments | other
| ) |  |  |

bool actionRequestedByUser | ( |  | self ) |

True if the user requested that the URL be opened. False if the URL should be opened due to an external event, like javascript popups or automatic redirections. This is true by default

Since:
  4.1

{QString:QString} metaData | ( |  | self ) |

Meta-data to associate with the KIO operation that will be used to open the URL. This method can be used to add or retrieve metadata.

See also:
  KIO.TransferJob etc.

QString mimeType | ( |  | self ) |

The mimetype to use when opening the url, when known by the calling application.

bool reload | ( |  | self ) |

Returns:
  true to indicate that the part should reload the URL, i.e. the cache shouldn't be used (forced reload).

setActionRequestedByUser | ( | self, |
|  | bool | userRequested
| ) |  |  |

setMimeType | ( | self, |
|  | QString | mime
| ) |  |  |

setReload | ( | self, |
|  | bool | b
| ) |  |  |

Indicates that the url should be loaded from the network even if it matches the current url of the part.

setXOffset | ( | self, |
|  | int | x
| ) |  |  |

setYOffset | ( | self, |
|  | int | y
| ) |  |  |

int xOffset | ( |  | self ) |

xOffset is the horizontal scrolling of the part's widget (in case it's a scrollview). This is saved into the history and restored when going back in the history.

int yOffset | ( |  | self ) |

yOffset is the horizontal scrolling of the part's widget (in case it's a scrollview). This is saved into the history and restored when going back in the history.